Subject: Re: Non UTF-8 Text in Message Body

From: David Shaw <[email-masked]>
Date: Mon, 24 Nov 2003 16:50:12 -0500

The way I read it, "Charset" is little more than a comment.  An
implementation may use the Charset header if it wants to, but on the
recipient side, the other implementation is free to ignore it.

The safe assumption if there is no Charset header should be that the
plaintext is UTF8.

I've cc'd the list, so perhaps someone there will comment as well.

David

> please have a look at felix question - its about the UTF8-handling in
> messages. PGP8 does it "different" and we would be happy about some
> clarification in this topic. what yould you suggest? is it worth to put
> it on the list and if, i would appreciate if you could just forward
> it... ;-).
> 
> thanks a lot,
> best regards,
> christian
> 
> -----Original Message-----
> Sent: Montag, 27. Oktober 2003 18:26
> To: [email-masked]'
> Subject: Non UTF-8 Text in Message Body
> 
> Hi,
> 
> just to clear things up a bit for me:
> Encoding: Is it allowed to encode the message body of a mail in any
> other character set than UTF-8 without using the "Charset" armor header
> key? If I interpret the standard and the current draft correctly, this
> header key MUST be used if text is encoded in any other character set,
> but I think there are some implementations that do not obey this rule...
> Decoding: Is it allowed to assume that an encoded message body is just
> plain ISO-8859-1 if no "Charset" armor header key is present?
> 
> Thanks and best regards,
> Felix Storm,
> Glueck & Kanja Technology AG
> http://www.glueckkanja.com